import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTL4MachineLearningPipelineReflection extends _NSObject {
    static alloc(): _MTL4MachineLearningPipelineReflection;
    static new(): _MTL4MachineLearningPipelineReflection;
    init(): _MTL4MachineLearningPipelineReflection;
    /** Describes every input and output of the pipeline. */
    bindings(): _NSArray;
}
